post
https://sandbox.saner.secpod.com/AncorWebService/perform
List every account, or look up accounts by name.
This method allows you to get details of one or multiple accounts in Saner Server. It only requires the name of accounts to be updated. If no name is provided, all account details are fetched. The attribute ‘agentautoupgrade’ represents if agents under the account is automatically upgraded, default value is true.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| name | Name of the account to fetch details for. If not provided, all account details are fetched. | No | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response = client.Account.get(
name=["Acc1","Acc2"]
)
print(response)
client.close()Requires Python 3.9 or later.